﻿namespace MauiAppGeoLocation;

public partial class MainPage : ContentPage
{

	public MainPage()
	{
		InitializeComponent();
	}




    private CancellationTokenSource _cancelTokenSource;
    private bool _isCheckingLocation;

    private async void GetCurrentLocation()
    {
        string pos="";
        try
        {
            _isCheckingLocation = true;
            GeolocationRequest request = new GeolocationRequest(GeolocationAccuracy.Medium, TimeSpan.FromSeconds(10));
            _cancelTokenSource = new CancellationTokenSource();
            Location location = await Geolocation.Default.GetLocationAsync(request, _cancelTokenSource.Token);
            if (location != null)
                pos= ($"Latitude: {location.Latitude}, Longitude: {location.Longitude}, Altitude: {location.Altitude}");
        }
        catch (Exception ex)
        {
            // Unable to get location
        }
        finally
        {
            _isCheckingLocation = false;
        }
        LabelPosition.Text = pos;
    }


    private void Button_Clicked(object sender, EventArgs e)
    {
        GetCurrentLocation();
    }
}

